window.Service = {};
window.Service.UserAgent = {
    _userAgent: null,
    getUserAgent: function () {
        if (this._userAgent === null) {
            this._userAgent = navigator.userAgent;
        }
        return this._userAgent;
    },
    _checkUserAgent: function (agent) {
        return this.getUserAgent().indexOf(agent) !== -1
    },
    isMobile: function () {
        return !!this.getUserAgent().match(/Android|iPhone|Mobile/);
    },
    isWeixin: function () {
        return !!this.getUserAgent().match(/MicroMessenger\/(\d)*/);
    },
    isAndroid: function () {
        return this._checkUserAgent('Android');
    },
    isIos: function () {
        return this.getUserAgent().match(/iPhone|iPad/);
    },
    isGankao: function () {
        return this._checkUserAgent('gankao');
    },
    isQQBrowser: function () {
        return this._checkUserAgent('QQ');
    },
    isMiniProgram: function () {
        return document.cookie.match(/requestFrom=miniProgram/);
    }
};
IS_WEIZHAN = document.cookie.indexOf('weizhan_orgcode=') !== -1;
// var JsBridgeApp = {
//     wxPay: function (orderNumber) {
//         console.log(orderNumber);
//     }
// }
// if(typeof JsBridgeApp != "undefined") {
//     JsBridgeApp.saveReduxState({a:12})
// }else{
//     JsBridgeApp_invoke("saveReduxState",{a:12})
// }
function IosApp(funcName) {
    return function () {
        var restParams = [];
        for (var i = 1; i < arguments.length; i++) {
            restParams.push(arguments[i])
        }
        window.webkit.messageHandlers.JsBridgeApp.postMessage({functionName: funcName, params: restParams})
    }
}


function GankaoApp(funcName) {
    if (typeof JsBridgeApp != "undefined") {
        return JsBridgeApp[funcName];
    } else {
        return IosApp(funcName);
    }
}

var UrlHandler = {
    getQueryString: function (name, _window) {
        if (!_window) {
            _window = window;
        }
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
        var r = _window.location.search.substr(1).match(reg);
        if (r != null) return unescape(r[2]);
        return null;
    }
}

var Page = {
    getMeta: function (name, _window) {
        if (!_window) {
            _window = window;
        }
        var metas = _window.document.getElementsByTagName('meta');
        var content = null;
        if (typeof metas[name] !== 'undefined') {
            content = metas[name].content;
        }
        return content;
    },
    showIframe: function (params) {
        var width = params.width ? params.width : '310px';
        var height = params.height ? params.height : '315px';
        var closeBtn = params.closeBtn ? params.closeBtn : 0;
        closeBtn = true;
        this._asyncLayer(function () {
            var layerIndex = layer.open({
                type: 2,
                title: '',
                maxmin: false,
                resize: false,
                scrollbar: false,
                closeBtn: closeBtn,
                area: [width, height],
                content: params.url,
                offset: 't'
            });
            document.getElementById('layui-layer-shade1').style.backgroundColor = 'none';
            var style = document.createElement('style');
            style.innerHTML = '.layui-layer, .layui-layer-shade{position:absolute} .layui-layer-setwin .layui-layer-close2{right:-18px;top:-17px}';
            document.head.appendChild(style);
            if (window.Service.UserAgent.isIos()) {
                layer.full(layerIndex);
            }
        });

    },
    _asyncLayer: function (callback) {
        if (typeof layer == 'undefined') {
            var layerScript = document.createElement('script');
            layerScript.onload = function () {
                callback();
            }
            layerScript.src = '/static/layer/layer.js';
            document.body.appendChild(layerScript);
        } else {
            callback();
        }
    }
}

function JsBridgeApp_invoke() {
    if (arguments.length == 0)
        throw ('JsBridgeApp_invoke 参数未提供')
    var functionName = arguments[0];
    if (typeof window.JsBridgeApp != "undefined") {
        if (!window.JsBridgeApp[functionName])
            throw ('JsBridgeApp对象的' + functionName + '方法未定义')
        alert("安卓平台以及苹果非WKWEBVIEW控件，请使用JsBridgeApp.XXX()方式调用。")
    } else if (typeof window.webkit != "undefined" && typeof window.webkit.messageHandlers != "undefined") {
        var restParams = [];
        for (var i = 1; i < arguments.length; i++) {
            restParams.push(arguments[i])
        }
        try {
            return window.webkit.messageHandlers.JsBridgeApp.postMessage({
                functionName: functionName,
                params: restParams
            });

        } catch (err) {
            document.write(err);
        }
    }
}

if ('undefined' !== typeof $) {
    $(function () {
        // var Cookie = {
        //     'get': function (name) {
        //         var arr, reg = new RegExp("(^| )" + name + "=([^;]*)(;|$)");
        //         if (arr = document.cookie.match(reg)) {
        //             return unescape(arr[2]);
        //         } else {
        //             return null;
        //         }
        //     }
        // }
        // var userAgent = navigator.userAgent;
        var isApp = window.Service.UserAgent.isGankao();

        function showServicePage(path) {
            // var flag = true;
            // var closeService = Page.getMeta('show_service') == 0;
            // if (
            //     closeService
            //     || Service.UserAgent.isMiniProgram()
            //     || (IS_WEIZHAN && closeService)
            // ) {
            //     flag = false;
            // } else {
            //     var denys = ['/home'];
            //     for (var i = 0, len = denys.length; i < len; i++) {
            //         var patten = new RegExp('^' + denys[i]);
            //         if (patten.test(path)) {
            //             flag = false;
            //             break;
            //         }
            //     }
            // }
            // return flag;
        }

        if (!isApp && showServicePage(location.pathname)) {
            var a = document.createElement('a');
            var img = document.createElement('img');
            img.src = '//img.qiaoxuesi.com/service_m.png';
            a.id = 'udesk-im-94';
            if (!Service.UserAgent.isMobile()) {
                a.style.cssText = 'text-align:center;z-index:9999;text-decoration:none;display:block;color: #fff;position: fixed;line-height: 40px;top:50%;margin-top:-50px;left:0;max-width: 300px;+max-width:60px;border-radius:5px;-moz-border-radius: 5px;-webkit-border-radius: 5px;padding: 0 10px;';
                a.href = 'javascript:;';
                img.style.cssText = 'margin:auto;display: block; width:60px; height: 60px';
                // var div = document.createElement('div');
                // var span = document.createElement('span');
                // div.style.cssText = 'margin: 2px;height:1px;background-color: #fff;';
                // span.innerHTML = '联系客服';
                // span.style.color = 'white';
                a.appendChild(img);
                // a.appendChild(div);
                // a.appendChild(span);
                document.body.appendChild(a);
                var imEle = document.getElementById("udesk-im-94");
                imEle.onclick = function () {
                    window.open("//gankao.udesk.cn/im_client?cur_url=" +
                        encodeURIComponent(location.href) + "&pre_url=" + encodeURIComponent(document.referrer),
                        "udesk_im", "width=780,height=560,top=200,left=350,resizable=yes");
                }
                // setTimeout(function () {
                //     var zhichiload = document.createElement('script');
                //     zhichiload.id = 'zhichiload';
                //     zhichiload.src = 'http://www.sobot.com/chat/pc/pc.min.js?sysNum=f0e70d898bcb4d3d92180144ec36a2cc';
                //     document.body.appendChild(zhichiload);
                // }, 0);
            } else {
                a.style.cssText = 'text-align:center;z-index:9999;text-decoration:none;display:block;color:#fff;position: fixed;line-height: 50px;bottom:80px;right:15px;width: 60px;border-radius:30px;-moz-border-radius: 30px;-webkit-border-radius: 30px;padding: 0px;';
                a.target = '_blank';
                a.href = 'http://gankao.udesk.cn/im_client';
                img.style.cssText = 'margin:auto;float:left;height: 60px;';
                a.appendChild(img);
                document.body.appendChild(a);

                function getReferrer() {
                    var imEle = document.getElementById("udesk-im-94");
                    if (imEle.href.indexOf("?") > -1) {
                        imEle.href += "&"
                    } else {
                        imEle.href += "?"
                    }
                    imEle.href += "cur_url=" + encodeURIComponent(location.href);
                    imEle.href += "&";
                    imEle.href += "pre_url=" + encodeURIComponent(document.referrer);
                }

                window.onload = getReferrer();
                // setTimeout(function () {
                //     var zhichiload = document.createElement('script');
                //     zhichiload.id = 'zhichiload';
                //     zhichiload.src = 'http://www.sobot.com/chat/h5/h5.min.js?sysNum=f0e70d898bcb4d3d92180144ec36a2cc';
                //     document.body.appendChild(zhichiload);
                // }, 0);
            }

        }

        $('#playhistory').bind('click', function () {
            e = arguments.callee.caller.arguments[0] || window.event
            if (window.event) {
                e.cancelBubble = true;
            } else {
                e.stopPropagation();
            }

            createmenu();
            return false;
        });

        $('#playhistorym').bind('click', function () {
            e = arguments.callee.caller.arguments[0] || window.event
            if (window.event) {
                e.cancelBubble = true;
            } else {
                e.stopPropagation();
            }

            createmenu();
            $('#flymenu').css({"left": '0px', "top": '46px', 'border': '0px'});
            $('#history-arrow-top').css({'text-align': 'left', 'padding-left': '58px'});
            $('#flymenuc').css({'width': _doc.clientWidth, 'height': '200px'})
            return false;
        });
        //QQ内置浏览器给浏览器添加referer
        if (Service.UserAgent.isQQBrowser()) {
            var origin = new RegExp(location.origin + '/(user|login)');
            if (!origin.test(location.href)) {
                var a = document.getElementsByTagName('a');
                for (var i = 0, len = a.length; i < len; i++) {
                    if (origin.test(a[i].href)) {
                        a[i].href = a[i].href + '?redirect=' + encodeURIComponent(location.href);
                    }
                }
            }
        }
    });

    var flymenut = '';

    function reflymenu() {
        $(document).unbind('click', reflymenu);
        flymenut = setTimeout(function () {
            $('#flymenu').remove();
        }, 100);
    }

    /**
     * 显示播放记录
     */
    function createmenu() {
        if ('' != flymenut) {
            clearTimeout(flymenut);
        }
        $('body').append('<div id="flymenu" style="position:fixed;background:#fff;border:1px solid #ccc;z-index:1000;font-family: Helvetica,\'Hiragino Sans GB\',\'Microsoft Yahei\',\'微软雅黑\',Arial,sans-serif;" ><div id="history-arrow-top" style="margin-top: -16px;text-align:right;width:100%;position: absolute;z-index: 1000;padding-right:20px;box-sizing:border-box;"><img src="/static/images/arrow_up.png" style="vertical-align:top;"></div><div style="overflow-y:auto;width:350px;height:280px;font-size:12px;" id="flymenuc"></div></div>');
        var wh = $('#playhistory').offset();
        $('#flymenu').show();

        $(document).bind('click', reflymenu);
        $('#flymenu').css({
            "left": wh.left + 35 - $('#flymenu').width() + $('#playhistory').width() + 'px',
            "top": wh.top + 70 + $('#playhistory').height() + 'px'
        });
        $.get('/history', function (res) {

            res = JSON.parse(res);
            var v = '';
            var j = 0;
            for (var i in res) {
                if (j < 10) {
                    v += '<div style="padding:5px 10px;border-bottom:1px dotted #efefef;">◇ <a href="/course/' + res[i].lesson_id + '/' + res[i].section_id + '">' + res[i].cname + res[i].sname + '</div>';
                    j++;
                } else {
                    break;
                }
            }
            ;
            $('#flymenuc').html(v);

        })

    }

    var _doc = (document.compatMode != "BackCompat") ? document.documentElement : document.body;

    function $$(o) {
        return document.getElementById(o);
    }

    var MessageBox = {
        aci: -1,
        header: {length: 0},
        _obj: [],
        close_back_fun: '',
        sort: function (id) {
            if (this._obj[this.aci].index < 1000) {
                if (id != this.aci) {
                    if (this._obj[id].pre != -1) {
                        this._obj[this._obj[id].pre].next = this._obj[id].next;
                    }
                    this._obj[this.aci].next = id;
                    this._obj[id].pre = this.aci;
                    this._obj[id].next = '';
                    this._obj[id].index = this._obj[this.aci].index + 1;
                    $$('ajax' + id).style.zIndex = this._obj[id].index;
                    $$('ajax' + id).style.display = 'block';
                }
            } else {

            }

            this.aci = id;
        },

        _CreateWindow: function (v) {
            var oab = document.createElement("div");
            oab.id = "ajax" + this.aci;
            with (oab.style) {
                position = "absolute";
                top = "0px";
                left = "0px";
            }
            document.body.appendChild(oab);
        },

        Msg: function (p) {
            if (p.mark == 1) {
                this.Mark();
            }
            if (p.name) {
                for (var i = 0; i < this._obj.length; i++) {
                    if (this._obj[i] != '') {
                        if (this._obj[i].name == p.name) {
                            $$('ajax' + i).style.display = 'block';
                            this._msg(p);
                            this.sort(i);
                            return i;
                            break;
                        }
                    }
                }
            }
            if (p.closeback) {
                this.close_back_fun = p.closeback;
            }

            if (this.aci == -1) {
                this.header.next = 0;
                this._obj[0] = {visible: 1, index: 500, pre: -1, next: ''};
                this.aci = 0;
            } else {
                for (var i = 0; i < this._obj.length; i++) {
                    if (this._obj[i] == '') {
                        break;
                    }
                }
                this._obj[this.aci].next = i;
                this._obj[i] = {visible: 1, index: this._obj[this.aci].index + 1, pre: this.aci, next: ''};
                this.aci = i;
            }
            if (p.name) {
                this._obj[this.aci].name = p.name;
            }

            this._CreateWindow();
            $$('ajax' + this.aci).style.zIndex = this._obj[this.aci].index;


            this._msg(p);
            return this.aci;

        },


        _msg: function (p) {
            o = $$('ajax' + this.aci);
            o.style.display = "block";

            var m = "";

            m += "<div id=\"back_ap_div_" + this.aci + "\" style=\"\"><table width=\"100%\" height=\"100%\"><tr><td style='width:12px;height:12px;overflow:hidden;background:url(/static/images/msgbox_bg_lt.png);'></td><td style='height:12px;overflow:hidden;background:url(/static/images/msgbox_bg_t.png);'></td><td style='width:12px;height:12px;overflow:hidden;background:url(/static/images/msgbox_bg_rt.png);'></td></tr><tr><td style='overflow:hidden;background:url(/static/images/msgbox_bg_l.png);'></td><td>&nbsp;</td><td style='overflow:hidden;background:url(/static/images/msgbox_bg_r.png);'></td></tr><tr><td style='width:12px;height:12px;overflow:hidden;background:url(/static/images/msgbox_bg_lb.png);'></td><td style='overflow:hidden;background:url(/static/images/msgbox_bg_b.png);'></td><td style='width:12px;height:12px;overflow:hidden;background:url(/static/images/msgbox_bg_rb.png);'></td></tr></table></div>";
            m += "<div id=\"fly_message_" + this.aci + "\" onmousedown=\"\" style=\"background:#ffffff;position:absolute;top:6px;left:6px;border-radius:5px 5px 0 0;\">";
            if (p.title) {
                m += "<div id=\"msg_title_" + this.aci + "\" class=\"msg_title\" onmousedown='MessageBox.sort(" + this.aci + ");MessageBox.msg_mark();MoveObject.down(this.parentNode.parentNode);document.onmouseup=function(){MessageBox.msg_m_h();MoveObject.st();}'  class=\"msg_title\" style=\"font-size:16px;color:#666;border-bottom:1px solid #dadada;cursor:move;padding:0 5px 0px 20px;font-weight:bold;height:39px; line-height:39px;\">" + p.title + "</div>";
                m += "<div id=\"msg_close\" onclick=\"MessageBox.close(" + this.aci + ");\" onmousedown='event.cancelBubble=true' onmouseover=\"this.style.background='#ddd'\" onmouseout=\"this.style.background=''\" style=\"position:absolute;top:0px;right:0px;width:50px;height:40px;cursor:pointer;color:#888;text-align:center;font-size:20px;line-height:40px;\">&times;</div>";
                if (p.min) {
                    m += '<div onclick="MessageBox.hid(' + this.aci + ')" onmousedown="event.cancelBubble=true" style="position:absolute;top:0px;right:25px;background:url(/static/images/sysicon.png) -213px -654px no-repeat;width:25px;height:25px;cursor:pointer;"></div>';
                }
            }
            m += "<div id=\"message_" + this.aci + "\" ></div>";
            m += "<div id=\"message_mark_" + this.aci + "\" onmousedown=\"MessageBox.sort(" + this.aci + ");MessageBox.msg_m_h();\" style=\"position:absolute;filter:alpha(opacity=0);-moz-opacity: 0;opacity: 0;background:#fff;display:none;\"></div>";
            m += "</div>";

            o.innerHTML = m;
            $('#message_' + this.aci).html(p.content);
            if (p.width) {
                mw = p.width;
            } else {
                mw = $$('message_' + this.aci).offsetWidth;
                $$('message_' + this.aci).style.width = mw + 'px';
            }

            if (p.height) {
                mh = p.height;
                $$('message_' + this.aci).style.height = mh + 'px';
            } else {
                mh = $$('message_' + this.aci).offsetHeight;
            }
            $$('message_mark_' + this.aci).style.height = mh + 'px';
            $$('message_mark_' + this.aci).style.width = mw + 'px';
            $$('message_mark_' + this.aci).style.top = '31px';

            $$('fly_message_' + this.aci).style.width = mw + "px";
            $$('back_ap_div_' + this.aci).style.width = mw + 12 + "px";
            if (p.title) {
                $$('back_ap_div_' + this.aci).style.height = mh + 39 + 14 + "px";
            } else {
                $$('back_ap_div_' + this.aci).style.height = mh + 14 + "px";
            }
            var sctop = document.documentElement.scrollTop || document.body.scrollTop;

            fly_top = sctop + _doc.clientHeight / 2 - o.offsetHeight / 2;
            if ((_doc.clientHeight / 2 - o.offsetHeight / 2) < 0) fly_top = sctop;
            fly_left = _doc.scrollLeft + _doc.clientWidth / 2 - o.offsetWidth / 2;
            if (fly_left < 0) fly_left = "0" + "px";
            o.style.top = fly_top + "px";
            o.style.left = fly_left + "px";

        },
        msg_mark: function () {
            $$('message_mark_' + this.aci).style.display = 'block';
        },
        msg_m_h: function () {
            $$('message_mark_' + this.aci).style.display = 'none';
        },
        Mark: function () {
            if ($$('mark_all')) {
                $$('mark_all').parentNode.removeChild($$('mark_all'));
            }
            var mark = document.createElement("div");
            mark.id = "mark_all";
            if (this.aci > -1) {
                mark.style.zIndex = this._obj[this.aci].index - 1;
            } else {
                mark.style.zIndex = 499;
            }
            mark.style.display = "block";
            mark.style.background = "#000";

            if (_doc.scrollWidth > _doc.clientWidth) {
                mark.style.width = _doc.scrollWidth + "px";
            } else {
                mark.style.width = _doc.clientWidth + "px";
            }
            if (_doc.scrollHeight > _doc.clientHeight) {
                mark.style.height = _doc.scrollHeight + "px";
            } else {
                mark.style.height = _doc.clientHeight + "px";
            }
            mark.style.position = "absolute";

            mark.style.filter = "alpha";
            mark.style.top = 0;
            mark.style.left = 0;
            document.body.appendChild(mark);
            if (document.all) {
                mark.filters.alpha.opacity = 20;
            } else {
                mark.style.MozOpacity = 0.2;
                mark.style.opacity = 0.2;
            }

        },
        close: function (v) {
            if ($$('ajax' + v)) {
                //alpha.g('ajax'+v,200);
                $$('ajax' + v).parentNode.removeChild($$('ajax' + v));
            }
            if (this.aci == v) {
                if (this._obj[v].pre >= 0) {
                    this.aci = this._obj[v].pre;
                    this._obj[this.aci].next = '';
                } else {
                    this.aci = -1;
                }

            } else {
                if (this._obj[v].pre != -1) {
                    this._obj[this._obj[v].pre].next = this._obj[v].next;
                } else {
                    this.header.next = this._obj[v].next;
                }
            }
            this._obj[v] = '';

            //o.parentNode.parentNode.style.display="none";
            if ($$('mark_all')) {
                $$('mark_all').parentNode.removeChild($$('mark_all'));
            }
            if (this.close_back_fun) {
                this.close_back_fun();
                this.close_back_fun = '';
            }
        },
        hid: function (v) {
            $$('ajax' + v).style.display = 'none';
            this._obj[v].visible = 0;
            if ($$('mark_all'))
                $$('mark_all').parentNode.removeChild($$('mark_all'));
        }
    };

    var MoveObject = {
        ac: false,
        abc: null,
        wh: [],
        move: function (e) {
            if (MoveObject.ac) {
                MoveObject.abc.style.position = "absolute";
                e = e ? e : window.event;
                l1 = e.clientX + temp1 - x;
                t1 = e.clientY + temp2 - y;
                wh = MoveObject.wh;
                if (wh[0] != undefined) {
                    if (t1 < wh[0]) {
                        t1 = wh[0];
                    }
                }
                if (wh[1] != undefined) {
                    if (l1 > wh[1]) {
                        l1 = wh[1];
                    }
                }
                if (wh[2] != undefined) {
                    if (t1 > wh[2]) {
                        t1 = wh[2];
                    }
                }
                if (wh[3] != undefined) {
                    if (l1 < wh[3]) {
                        l1 = wh[3];
                    }
                }

                MoveObject.abc.style.left = l1 + "px";
                MoveObject.abc.style.top = (t1 < 0 ? 0 : t1) + "px";

                if (bcfun != undefined) {
                    bcfun([l1, t1]);
                }

                return false;
            }

        },
        down: function (o, fun) {

            document.onselectstart = new Function("event.returnValue=false");
            document.body.setAttribute('style', '-moz-user-select: none;');
            e = arguments.callee.caller.arguments[0] || window.event;


            this.ac = true;
            this.abc = o;


            temp1 = this.abc.offsetLeft;
            temp2 = this.abc.offsetTop;
            x = e.clientX;
            y = e.clientY;

            bcfun = fun;
            document.onmousemove = MoveObject.move;
            return false;

        },
        st: function () {
            MoveObject.ac = false;
            MoveObject.wh = [];
            document.body.removeAttribute('style');
            document.onselectstart = null;
            document.onmouseup = null;
        }
    };
}

var _domain = '';
if (location.host === 'pay.xwjj.com') {
    _domain = 'xwjj.com';
} else {
    var domain = document.domain;
    domain = domain.match(/[^\.]*\.[^.]*$/)[0];
    _domain = domain;
}
document.domain = _domain;
var UserAccount = {
    _domain: '',
    showBindMobileForm: function (params, domain) {
        if (!domain) {
            domain = this._domain;
        }
        var frameParams = {
            url: domain + '/spread/perfectInfo?' + (params ? 'a_params=' + encodeURIComponent(JSON.stringify(params)) : '')
        };
        var width = 310;
        if (Service.UserAgent.isMobile()) {
            width = document.documentElement.clientWidth * 0.9;
        }
        frameParams.width = (width > 310 ? 310 : width) + 'px';
        Page.showIframe(frameParams);
    },
    checkUserBindMobile: function (domain) {
        if (!domain) {
            domain = this._domain;
        }
        $.ajax({
            type: 'post',
            url: domain + '/user/checkUserBindMobile/?t=' + Math.random(),
            dataType: 'json',
            success: function (res) {
                if (res.result == 0) {
                    UserAccount.showBindMobileForm();
                }
            },
            error: function (res) {

            }
        })
    }
};

if (top != window) {
    //处于iframe中
    if (navigator.userAgent.indexOf('AppleWebKit') >= 0) {
        //ios系统，需要兼容一下window没有滚动条和不能滚动的问题
        var iosStyle = document.createElement('style');
        iosStyle.setAttribute('type', 'text/css');
        iosStyle.innerHTML = '\
            html,body{width: 100%; height: 100%; overflow: hidden;}\
            body{-webkit-overflow-scrolling:touch; overflow-y:scroll;}\
        ';
        document.getElementsByTagName('head')[0].appendChild(iosStyle);
        //当body.onscroll时，触发window.onscroll
        var scrollEv = document.createEvent('HTMLEvents');
        scrollEv.initEvent('scroll', true, true);
        document.body.addEventListener('scroll', function (e) {
            window.dispatchEvent(scrollEv);
            window.onscroll && window.onscroll();
        });
    }
} else if (top === window && IS_WEIZHAN) {
    (function () {
        function deleteCookie(name, path, domain) {
            document.cookie = name + "=" +
                ((path) ? "; path=" + path : "") +
                ((domain) ? "; domain=" + domain : "") +
                "; expires=Thu, 01-Jan-70 00:00:01 GMT";
        }

        deleteCookie('weizhan_orgcode', '/', COOKIE_DOMAIN);
        location.reload();
    })();
}

var Server = {
    isTest: function () {
        return /^(https?:\/\/)[^\.]*gktest2[^\.]*\.gankao\.com/.test(location.href);
    }
}

var Goods = function () {
    this._productType = '';
    this._productId = '';
    this._channelId = '';
    this._visitTime = '';
    this._paySuccessUrl = window.location.href + ((window.location.href.indexOf("?") === -1) ? "?" : "&") + 'backfrom=pay';

    var domain = document.domain;
    domain = domain.match(/[^\.]*\.[^.]*$/)[0];
    this._domain = 'https://www.'+ domain +'/p-order';
}

Goods.prototype.setChannelId = function (channelId, visitTime) {
    if (channelId) {
        this._channelId = channelId;
        if (visitTime) {
            this._visitTime = visitTime;
        }
    }
};

Goods.prototype.setDomain = function (domain) {
    this._domain = domain;
};
Goods.prototype.setPaySuccessUrl = function (paySuccessUrl) {
    this._paySuccessUrl = paySuccessUrl;
};

Goods.prototype.toPay = function (addedObj) {

    var payUrl = '';
    if (this._channelId === '') {
        payUrl = this._domain + '/order/ordersettle';
    } else {
        var domain = document.domain;
        domain = domain.match(/[^\.]*\.[^.]*$/)[0];
        payUrl = 'https://' + this._channelId + '.'+ domain +'/p-order/order/ordersettle';
    }
    payUrl += '?productOutID=' + this._productId + '_A' + '&productTypeCode=' + this._productType + '&g_channel=' + this._channelId + '&channelLoad_at=' + this._visitTime + '&paySuccessUrl=' + encodeURIComponent(this._paySuccessUrl);
    if (addedObj) {
        for (var i in addedObj) {
            payUrl += '&' + i + '=' + addedObj[i];
        }
    }
    location.href = '/gopay?redirectUrl='+ encodeURIComponent(payUrl);
}

//录播课程
var CourseGoods = function (productId) {
    this._productType = 'Course';
    this._productId = productId;
};
CourseGoods.prototype = new Goods();

//班课
var LiveCourseGoods = function (productId) {
    this._productType = 'LiveCourse';
    this._productId = productId;
};
LiveCourseGoods.prototype = new Goods();

//卡片
var CardGoods = function (productId) {
    this._productType = 'NewCard';
    this._productId = productId;
}
CardGoods.prototype = new Goods();

function InitGankaoVCodeSender(options) {
    var self = {};
    self._channel = options.channel;
    self._sendButtonElem = document.getElementById(options.sendButtonElemID);
    self._mobileInputElem = document.getElementById(options.mobileInputElemID);
    self._vcodeInputElem = document.getElementById(options.vcodeInputID);
    self._vcodeOperateName = options.vcodeOperateName;
    self._fn_beforeSend = options.fn_beforeSend
    self._downcount = 0;
    if (!self._sendButtonElem) {
        layer.alert('<div style="text-align: center;font-size: 18px;">发送按钮元素，未找到！</div>', {
            time: 2000,
            title: false,
            closeBtn: 0,
            btn: '',
            shadeClose: true,
        });
        // show('发送按钮元素，未找到！');
        return;
    }
    if (!self._mobileInputElem) {
        layer.alert('<div style="text-align: center;font-size: 18px;">手机号输入框元素，未找到！</div>', {
            time: 2000,
            title: false,
            closeBtn: 0,
            btn: '',
            shadeClose: true,
        });
        // show('手机号输入框元素，未找到！');
        return;
    }
    self.shiftSendButtonEnable = function (enable, msg) {
        self._sendButtonElem.value = msg;
        self._sendButtonElem.disabled = enable ? "" : 'disabled';
    }
    self.downCountVcodeResend = function () {
        self._downcount--;
        if (self._downcount <= 0) {
            self.shiftSendButtonEnable(true, '重发验证码');
        } else {
            self._sendButtonElem.value = self._downcount + '秒后可重发';
        }
        setTimeout(self.downCountVcodeResend, 1000)
    }
    self.sendVcodeForUserRegister = function (mobile, vimageCode) {
        if (self._downcount > 0)
            return;
        if (mobile === "") {
            layer.alert('<div style="text-align: center;font-size: 18px;">手机号号码不能为空</div>', {
                time: 2000,
                title: false,
                closeBtn: 0,
                btn: '',
                shadeClose: true,
            });
            // show('手机号号码不能为空');
            return false;
        } else if (!mobile.match(/^1[3456789]\d{9}$/)) {
            layer.alert('<div style="text-align: center;font-size: 18px;">手机号格式不正确</div>', {
                time: 2000,
                title: false,
                closeBtn: 0,
                btn: '',
                shadeClose: true,
            });
            // show('手机号格式不正确');
            return false;
        }
        if (self._fn_beforeSend) {
            self._fn_beforeSend(mobile, function () {
                self.sendRegistorVCode_DO(mobile, vimageCode);
            })
        } else {
            self.sendRegistorVCode_DO(mobile, vimageCode);
        }
    }
    self.sendRegistorVCode_DO = function (mobile, vimageCode) {
        var domain = document.domain;
        domain = domain.match(/[^\.]*\.[^.]*$/)[0];
        var url = 'https://api.'+ domain + '/api-msg/gkverify/requestSmsCode';
        $.ajax({
            type: 'post',
            url: url,
            data: {
                mobilePhoneNumber: mobile,
                op: self._vcodeOperateName,
                vimageCode: vimageCode || '',
                channel: self._channel
            },
            xhrFields: {withCredentials: true}, //支持跨域发送cookies
            crossDomain: true,
            success: function (data) {
                if (data.err) {
                    layer.alert('<div style="text-align: center;font-size: 18px;">' + data.err.message + '</div>', {
                        time: 2000,
                        title: false,
                        closeBtn: 0,
                        btn: '',
                        shadeClose: true,
                    });
                    // show(data.err.message);
                    return;
                }
                if (data.result) {
                    if (data.result.success) {
                        layer.alert('<div style="text-align: center;font-size: 18px;">' + data.result.message + '</div>', {
                            time: 2000,
                            title: false,
                            closeBtn: 0,
                            btn: '',
                            shadeClose: true,
                        });
                        // show(data.result.message);
                        self.shiftSendButtonEnable(false, '已发送');
                        self._downcount = data.result.nextLimitSecond;
                        self._vcodeInputElem.value = '';
                        self.downCountVcodeResend();
                        if ($('#confirmVimageBase64')) {
                            $('#confirmVimageBase64').remove();
                            layer.closeAll();
                        }
                    } else if (data.result.vimageBase64) {
                        if ($('#confirmVimageBase64')) {
                            $('#confirmVimageBase64').remove();
                        }
                        var div = document.createElement('div');
                        div.innerHTML = '<div id="confirmVimageBase64" style="width:300px;padding: 15px 15px;">\n' +
                            '    <img src="' + data.result.vimageBase64 + '" alt="" valign="\'absmiddle" style="vert-align: middle;width: 280px;">\n' +
                            '    <input id="confirmVimageBase64_input" type="text" style="-webkit-tap-highlight-color: rgba(0,0,0,0);font-family: inherit;display: inline-block;width: 280px;height: 34px;font-size: 14px;line-height: 1.42857143;color: #555;margin: 10px 0;background-color: #fff;background-image: none;border-radius: 5px;border: 1px solid #ccc;"/>\n' +
                            '    <input id="confirmVimageBase64_submit" type="button" value="确 认" placeholder="请输入" style="background-image: none;    background-color: #188eee;    color: #fff;    border: none;width: 280px;border-radius: 5px;height: 36px;    font-size: 16px;    text-shadow: none;"/>\n' +
                            '</div>';
                        document.body.appendChild(div);
                        $('#confirmVimageBase64_submit').click(function () {
                            var myvimageCode = $('#confirmVimageBase64_input').val();
                            if (!myvimageCode) {
                                layer.alert('<div style="text-align: center;font-size: 18px;">请输入图形验证码后再提交！</div>', {
                                    time: 2000,
                                    title: false,
                                    closeBtn: 0,
                                    btn: '',
                                    shadeClose: true,
                                });
                                // show('请输入图形验证码后再提交！');
                            } else {
                                $('#confirmVimageBase64').remove();
                                layer.closeAll();
                                // //重新提交
                                self.sendVcodeForUserRegister(mobile, myvimageCode);
                            }
                        })
                        layer.open({
                            type: 1,
                            shade: false,
                            offset: Service.UserAgent.isMobile() ? 't' : '',
                            title: vimageCode ? '填写不正确，请重新输入' : '需安全认证，请输入图形码：', ////说明前一次提交已经带了验证码
                            content: $('#confirmVimageBase64'), //捕获的元素，注意：最好该指定的元素要存放在body最外层，否则可能被其它的相对元素所影响
                            cancel: function () {
                                //...
                                $('#confirmVimageBase64').remove();
                            }
                        }, function (te) {
                            console.log(te);
                        });
                    }
                }
            },
            error: function (data) {
            }
        });
    }
    self._sendButtonElem.onclick = function () {
        var mobile = self._mobileInputElem.value;
        self.sendVcodeForUserRegister(mobile);
    }
    return self;
}

function getCookie(name) {
    if (typeof document !== "object") {
        return null;
    }
    var arr, reg = new RegExp("(^| )" + name + "=([^;]*)(;|$)");
    if (arr = document.cookie.match(reg))
        return unescape(arr[2]);
    else
        return null;
}

if (document.location.href.indexOf("gktest2") !== -1 || getCookie('gankao_vconsole') == '1' || (typeof window._gankaoUID !== "undefined") && window._gankaoUID == 921302) {
    var scpt = document.createElement("script");
    scpt.src = '//static.qiaoxuesi.com/vconsole.min.js';
    document.body.appendChild(scpt);
    //等待加载完成
    var loadVConsole = function () {
        if (typeof VConsole === "undefined") {
            setTimeout(loadVConsole, 50);
        } else {
            var vConsole = new VConsole();
            console.log('Hello world vconsole!.');
        }
    }
    setTimeout(loadVConsole, 50);
}

function formatPlayerTime(secondTime) {
    var hours = Math.floor(secondTime / (60 * 60.0));
    var minutes = Math.floor(secondTime / 60.0);
    var seconds = Math.floor(secondTime % 60);
    var wrap = function (num) {
        if (num < 10)
            return '0' + num;
        else
            return num;
    }
    return (hours > 0) ? (wrap(hours) + ":") : '' + wrap(minutes) + ":" + wrap(seconds);
}

function getMeta2(name, defaultValue) {
    try {
        var ele = document.querySelector('meta[name="' + name + '"]');
        return ele ? ele.getAttribute('content') : defaultValue;
    } catch (err) {
        return defaultValue;
    }
}

function appOptionsWrapper3(jsOptions) {
    if (typeof window === "object") {
        if (navigator.userAgent.toLowerCase().indexOf("android") !== -1) {
            return JSON.stringify(jsOptions);
        }
    }
    return jsOptions;
}

if (window.JsBridgeApp && window.JsBridgeApp.setUIOptions) {
    var options = appOptionsWrapper3({
        hiddenclosebutton: getMeta2("gankao_hiddenclosebutton", "0"),////如需禁用原生页眉左侧的关闭按钮‘X’，则设置为1；meta标签省略或读取失败时，app外壳当作默认=0（即默认可关闭）；
        hiddenbackbutton: getMeta2("gankao_hiddenbackbutton", "0"),//如需禁用原生页眉左侧的返回按钮‘X’，则设置为1；meta标签省略或读取失败时，app外壳当作默认=0（即默认可返回）；
        sharable: getMeta2("gankao_sharable", "1")//设置是否可分享（默认是显示，需隐藏时调用）
    })
    window.JsBridgeApp.setUIOptions(options);
} else {
    console.log('not gankaoApp ...');
}

(function () {
    if(typeof window.____eduServiceInited ==="undefined"){
        window.____eduServiceInited = true;
        setTimeout(function () {
            var domscript = window.document.createElement("script");
            if(document.location.href.indexOf("gktest2")!==-1){
                domscript.src = '//static.qiaoxuesi.com/test-edu-service.js?a=0.2';
            }else{
                domscript.src = '//static.qiaoxuesi.com/edu-service.js?a=0.2';
            }
            var head = document.getElementsByTagName("head")[0] || document.documentElement;
            head.insertBefore(domscript, head.firstChild);
            console.log('edu service starting ...');
        })
    }
})();


if(typeof window.JsBridgeApp ==="undefined") {
    setTimeout(function () {
        var domscript = window.document.createElement("script");
        domscript.src = '//static.qiaoxuesi.com/gankaobase.js?a=123';
        var head = document.getElementsByTagName("head")[0] || document.documentElement;
        head.insertBefore(domscript, head.firstChild);
        console.log('gankaobase starting ...');
    })
}